Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdUserSearchPrevious

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract<IdACommandUserSearchPrevious,IdAResponseUserSearchPrevious>
com.io7m.idstore.shell.admin.internal.IdAShellCmdUserSearchPrevious

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdUserSearchPrevious extends IdAShellCmdAbstract<IdACommandUserSearchPrevious,IdAResponseUserSearchPrevious>
"user-search-previous"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdUserSearchPrevious(IdAClientSynchronousType inClient)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IdACommandUserSearchPrevious`
  `onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)`
  `protected void`
  `onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseUserSearchPrevious response)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract

  `completer, metadata, onExecute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### IdAShellCmdUserSearchPrevious

    public IdAShellCmdUserSearchPrevious(IdAClientSynchronousType inClient)
    Construct a command.
    Parameters:
      `inClient` - The client

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onCreateCommand

    protected IdACommandUserSearchPrevious onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)
    Specified by:
      `onCreateCommand` in class `IdAShellCmdAbstract<IdACommandUserSearchPrevious,IdAResponseUserSearchPrevious>`

  - ### onFormatResponse

    protected void onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseUserSearchPrevious response)
    Specified by:
      `onFormatResponse` in class `IdAShellCmdAbstract<IdACommandUserSearchPrevious,IdAResponseUserSearchPrevious>`